# CameraSettings class

Camera-specific configuration settings.

## Constructors

CameraSettings({ResolutionPreset? resolutionPreset = ResolutionPreset.high, bool? enableAudio = false, ImageFormatGroup? imageFormatGroup})
  Creates camera settings.
  const

## Properties

enableAudio → bool?
  Whether to enable audio recording.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
imageFormatGroup → ImageFormatGroup?
  Image format group for camera output.
  final
resolutionPreset → ResolutionPreset?
  Camera resolution preset.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited